<?php

require("../../conexion.php");
$codfactura=$_GET["codfactura"];

	   $factura= "SELECT cdgcli,dsccli, numcomp FROM facturas WHERE codfactura='$codfactura' ";
       $result_factura = $mysqli->query($factura);
       $row_factura = $result_factura->fetch_array();
     
	   $cdgcli   =  $row_factura["cdgcli"];
	   $dsccli   =  $row_factura["dsccli"];
       $numcomp  =  $row_factura["numcomp"];

	   $consulta2 = "SELECT * FROM wc_parametros_fe ";
	   $resultado2 = $mysqli->query($consulta2);
	   $datos = $resultado2->fetch_array();
		
	   $ftp_server    = $datos["ftp_server"];
	   $ftp_user_name = $datos["ftp_user_name"];
	   $ftp_user_pass = $datos["ftp_user_pass"];
	   $UriSubirXml   = $datos["UriSubirXml"];
		
		
 /////////////////////   VERIFICA LA CONEXION A INTERNET ///////////////////////

$conexion = @fsockopen("www.softcomcr.com", 80, $errno, $errstr, 30); 
if (!$conexion) { 
//	header('location:acceso_sin_internet.php');
} else { 
    fclose($conexion); 

    $local_file ='crt/comprobantes/'.$numcomp.'.xml';        


    if (file_exists($local_file)) {  ///// si existe actualizacion 
         
            $server_file = $UriSubirXml.$numcomp.'.xml'; //Nombre archivo en FTP
            
            // Establecer la conexión

            $conn_id = ftp_connect($ftp_server);
            
            // Loguearse con usuario y contraseña
            $login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
            
            // Descarga el $server_file y lo guarda en $local_file
            if (ftp_put($conn_id, $server_file, $local_file, FTP_BINARY)) {
                //echo "La base de datos a sido actualizada de de forma exitosa\n";		
            } 
                
            ftp_close($conn_id);
			
			
	
    	} 
    } 












